<?php

namespace Drupal\graphql_fragment_include;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Modifies \Drupal\graphql\GraphQL\Execution\QueryProcessor service.
 */
class GraphqlFragmentIncludeServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $definition = $container->getDefinition('graphql.query_processor');
    $definition->setClass('Drupal\graphql_fragment_include\GraphQL\Execution\QueryProcessor');
  }

}
